echo off
echo   Script to install NMServer for OpenVMS tools for OpenView NNM
if "%OV_SNMP_MIBS%" == "" goto no_env

:env_defined
echo   Providing MIBs
mkdir %OV_SNMP_MIBS%\Vendor\COMTEK\VMS
cd MIBs
copy *.* %OV_SNMP_MIBS%\Vendor\COMTEK\VMS
echo   Loading MIBs
xnmloadmib -replace -load NMServerVMS.mib
xnmloadmib -event
cd ..\trapd
echo   Loading trap definitions into trapd.conf
xnmevents -replace nmservervms_trapd.conf
xnmevents -event
cd ..\fields
echo   Adding NMServerVMS field
copy *.* %OV_FIELDS%\C
ovw -fields
cd ..\ovmib
echo   Copying registration files
copy *.* %OV_REGISTRATION%\C\ovmib
cd ..\Functions
echo   Copying help files
copy *.* %OV_HELP%\C\ovmib\OVW\Functions
cd ..\snmpCol
echo   Adding data collection objects
xnmcollect -merge nmservervms_snmpCol.conf
xnmcollect -event
cd ..
echo   Congfiguration complete
goto endInstall

echo Error: Please execute the ov.envvars.bat file before 
echo        running this command procedure. This file can
echo        be found in OpenView's bin directory.

:endInstall
echo on
